#!/bin/bash -l

export BIN="$HOME/BoltzmannStatistics/BS-MAS/MEMAS/Src"
export OUTPATH="`pwd`"
export OWSAFETY="nosafe"

	export OUTBASE="dmpc_T30"
    echo $OUTBASE

    STATE=1

    ${BIN}/sblm_ps.py -o ${OUTBASE}/${OUTBASE}_ndata.1 $OUTBASE/${OUTBASE}.t*.ndata.$STATE

    $BIN/R_eps_2D_dist\
        DISTFILEROOT $OUTBASE/$OUTBASE\
        RFILE $OUTBASE/${OUTBASE}_dist.$STATE\
        THREADS "0 1 2 3 4 5 6 7"\
        STATE $STATE
