#ifndef _INPUTS_INCLUDED_

#include "utils.h"
using namespace std;

class Inputs {
public: 
	Inputs( const char * );
	~Inputs();
	int alloc_arrays(int, const char (*)[20], int, const char (*)[20], int, const char (*)[20]);
	int report_inputs( ofstream * );

	int * intvals;
	char (*intLABELS)[20];
	double * doublevals;
	char (*doubleLABELS)[20];
	char (*charvals)[80];
	char (*charLABELS)[20];

private:
	char (*filelines)[100];
	int numlines;
	// for each input fileline, remember whether it was a 
	// char (0), int(1), or double (2), and what index value
	// of their respective arrays, for output purposes
	int * cid;
	int * cid_index;
};	


#define _INPUTS_INCLUDED_
#endif
