#include "massb.h"

int main ( int argc, char *argv[]  ) {

	MASSB P;
	P.append_logfile(); 
	
	int check = 7;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"NDATAFORMAT") ) check -= 4;
		else if ( !strcmp(argv[i],"DATAFILE" ) ) check -= 2;
		else if ( !strcmp(argv[i],"DATANORMDIM" ) ) check -= 1;
	}
	if (check != 0) {
		cerr << "[normalize_data] Need to specify: " << endl;
		cerr << "DATAFILE (4 cols: masrate sidebandindex intensity err)" << endl;
		cerr << "DATANORMDIM 0 (this is just to keep code general)" << endl;
		cerr << "NDATAFORMAT (not currently used)" << endl;
		exit(0);
	}

	P.parseinputs( argc, argv );
	P.read_data();
	P.norm_data();
	return(0);
}
