#include "massb.h"

int main ( int argc, char *argv[]  ) {

	MASSB P;
	P.append_logfile(); 

	int check = 7;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"PARAMS1" ) ) check -= 1;
		else if ( !strcmp(argv[i],"PARAMS2" ) ) check -= 2;
		else if ( !strcmp(argv[i],"NUMNORM" ) ) check -= 4;
	}
	if (check != 0) {
		cerr << "[set_data] Need to specify: " << endl;
		cerr << "PARAMS1 explicit values for 1st data parameter" << endl;
		cerr << "PARAMS2 explicit values for 2nd data parameter" << endl;
		cerr << "NUMNORM which data dimension defines normalizations" << endl;
		exit(0);
	}

	P.parseinputs( argc, argv );
	P.set_data_explicit();

	return(0);
}
