#!/bin/bash -l

export OUTPATH="`pwd`"
#export OUTPATH;
export OUTBASE="Tmp_mpi"
#export OUTBASE
export OWSAFETY="nosafe"
#export OWSAFETY="yesplease"

for i in $OUTBASE/$OUTBASE.t*.ndata.1 
do
	echo $i
	./consolidate_ndata\
		DATAFILE $i\
		ETAT 1
done

for i in $OUTBASE/$OUTBASE.t*.ndist.1 
do
	echo $i
	./consolidate_ndist\
		DISTFILE $i\
		ETAT 1
done

./dat2gpdat\
	INFILENAME $OUTBASE/$OUTBASE.gpdat.1\
	OUTFILENAME $OUTBASE/$OUTBASE.gpdat.1\
	DATANORMDIM 0

./dat2gpdat\
	INFILENAME $OUTBASE/$OUTBASE.gpdist.1\
	OUTFILENAME $OUTBASE/$OUTBASE.gpdist.1\
	DATANORMDIM -1

./gp_ps_1D\
	PLOTDATAFILE $OUTBASE/$OUTBASE.gpdat.1\
	PLOTDISTFILE $OUTBASE/$OUTBASE.gpdist.1\
	GPFILE $OUTBASE/$OUTBASE.1\
	MAXINDEX 16\
	SUBSETLABELS "4012;6000;"
