#include "massb.h"

int main ( int argc, char *argv[]  ) {

	MASSB P;

	int check = 15;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"DISTFILE" ) ) check -= 4;
		else if ( !strcmp(argv[i],"DATAFILE" ) ) check -= 2;
		else if ( !strcmp(argv[i],"D2DMFILE" ) ) check -= 1;
		else if ( !strcmp(argv[i],"SIGMA") ) check -= 8;
	}
	if (check != 0) {
		cerr << "[simulate_preset] Need to specify:" << endl;
		cerr << "DATAFILE" << endl;
		cerr << "DISTFILE" << endl;
		cerr << "D2DMFILE" << endl;
		cerr << "SIGMA" << endl;
		exit(0);
	}

	P.parseinputs( argc, argv );
	P.read_ndata();
	P.read_dist();
	P.read_dist2data_matrix();
	P.pre2dat();
	P.write_ndata();

	return(0);
}
