#include "sbfit.h"
using namespace std;

int main ( int argc, char *argv[]  ) {

	SBFIT P;
	P.append_logfile(); 
	
	int check = 7;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"DATAFITFILE" ) ) check -= 1;
		else if ( !strcmp(argv[i],"NMINFREQ" ) ) check -= 2;
		else if ( !strcmp(argv[i],"NMAXFREQ" ) ) check -= 4;
	}
	if (check != 0) {
		cerr << "[analyze_baseline] check = " << check 
			<< " Need to specify: " << endl;
		cerr << "[1] DATAFITFILE (.lfit file)" << endl;
		cerr << "[2] NMINFREQ (min abs(freq) of noise region)" << endl;
		cerr << "[4] NMAXFREQ (max abs(freq) of noise region)" << endl;
		exit(0);
	}

	P.parseinputs( argc, argv );
	P.read_datafit();
	P.noise_stats();
//	P.write_unoriented();
//	P.norm_data();
	return(0);
}
