#include "utils.h"

#ifndef CPU_THREAD_TIME_
#define CPU_THREAD_TIME_

class CPUThreadTime {
public:
	CPUThreadTime( int );
	CPUThreadTime();
	~CPUThreadTime();
	int init(int);
	int mark( ofstream *, const char * );	
	int reportstart ( ofstream *lfile );
	int reportall( ofstream *lfile );
	int report( ofstream *lfile, int, int);

	int set_threads(int);

	int zero_coreduty();
	int incr_coreduty();
	int report_coreduty( ofstream *, int);
	int reportthis_coreduty( ofstream *);

	int simpletimestamp( ofstream *);

	time_t seconds;
	int imark;
	clock_t *marks;
	time_t *wc;
	char (*markid)[120];
	int maximark;

	int NCPU;
	int *coreduty;
private:
	int num_marks;
};

#endif
