#include "sbfit.h"
using namespace std;

int main ( int argc, char *argv[]  ) {

	SBFIT S;
	S.append_logfile(); 
	
	int check = 1;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"APPENDOUTFILE" ) ) check -= 1;
	}
	if (check != 0) {
		cerr << "[fit_spectral_data] check = " << check 
			<< " Need to specify: " << endl;
		cerr << "[1] APPENDOUTFILE (\"suffix of files to plot\")"
			<< endl;

		exit(0);
	}
	S.parseinputs( argc, argv );
	strcpy(S.datafitfile,S.outpath);
	strcat(S.datafitfile,"/");
	strcat(S.datafitfile,S.outbase);
	strcat(S.datafitfile,"/");
	strcat(S.datafitfile,S.outbase);
	strcat(S.datafitfile,S.appendoutfile);
	strcat(S.datafitfile,".lfit");

	S.read_datafit();
	S.write_gnuplotscript();

	char gpcommand[256];
	strcpy(gpcommand,"gnuplot ");
	strcat(gpcommand,S.outpath);
   strcat(gpcommand,"/");
   strcat(gpcommand,S.outbase);
   strcat(gpcommand,"/");
   strcat(gpcommand,S.outbase);
   strcat(gpcommand,S.appendoutfile);
   strcat(gpcommand,".gp");
	strcat(gpcommand," &>gp.log");
	system(gpcommand);

//	system("gnuplot",

	return(0);
}
