#include "massb.h"

int main ( int argc, char *argv[]  ) {

	MASSB P;

	int check = 15;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"PP2PI") ) check -= 8;
		else if ( !strcmp(argv[i],"CRYSTFILE") ) check -= 4;
		else if ( !strcmp(argv[i],"DATAFILE" ) ) check -= 2;
		else if ( !strcmp(argv[i],"DISTFILE" ) ) check -= 1;
	}
	if (check != 0) {
		cerr << "[calc_matrix_ab] Need to specify:" << endl;
		cerr << "PP2PI" << endl;
		cerr << "DATAFILE" << endl;
		cerr << "DISTFILE" << endl;
		cerr << "CRYSTFILE" << endl;
		exit(0);
	}

	P.parseinputs( argc, argv );
	P.read_ndata();
	P.read_dist();
	P.calc_dist2data_crystfile_ab();

	return(0);
}
