#include "utils.h"

class GPPARAMS {
public:
	char plotdatafile[256];	// single data file name for plots
	char plotdistfile[256];	// single data file name for plots
	char distfileroot[256];	// basename for dist files to plot
	char gpfilename[256];	// file to write output script to
	char Rfilename[256];	// file to write output script to
	int maxindex;		// maximum index of data blocks
	char (*subsetlabels)[30];		// data blocks are grouped into subsets
							// with user-specified labels
	int numsubsets;		// number of subsets
	ofstream *lfile;

	int numthreadstoplot;
	int *threadstoplot;

	int parseinputs( int, char ** );
	int parseinputline( string );
	int state;

	double xmin,xmax,xres,ymin,ymax,yres;
	int threadid;

private:
	int inputpar( char *, char *, bool);

};
