#include "massb.h"

int main ( int argc, char *argv[]  ) {

	MASSB P;
	P.append_logfile(); 

	int check = 3;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"DATAPARAMS" ) ) check -= 1;
		else if ( !strcmp(argv[i],"NUMNORM" ) ) check -= 2;
	}
	if (check != 0) {
		cerr << "[set_data] Need to specify: " << endl;
		cerr << "DATAPARAMS triplets of min max step for each dist param" << endl;
		cerr << "NUMNORM which data dimension defines normalizations" << endl;
		exit(0);
	}

	P.parseinputs( argc, argv );
	P.set_data();

	return(0);
}
