#include "massb.h"

int main ( int argc, char *argv[]  ) {

	MASSB P;
	P.append_logfile(); 

	int check = 1;
	for (int i=1; i<argc; i+=2) {
		if ( !strcmp(argv[i],"DISTPARAMS" ) ) check -= 1;
	}
	if (check != 0) {
		cerr << "[set_distribution] Need to specify: " << endl;
		cerr << "DISTPARAMS triplets of min max step for each dist param" << endl;
		exit(0);
	}

	P.parseinputs( argc, argv );
	P.set_dist();

	return(0);
}
