#!/bin/bash -l

export OUTPATH="`pwd`"
#export OUTPATH;
export OUTBASE="Tmp_abg"
#export OUTBASE
export OWSAFETY="nosafe"
#export OWSAFETY="yesplease"

./normalize_data\
	DATAFILE sample.dat\
	DATANORMDIM 0\
	NDATAFORMAT "%4.2f %2.0f %8.6f %8.6f\n"
	
./set_distribution\
	DISTPARAMS "0 12000 100 0 1.0 0.1"

./calc_matrix_ab\
	DATAFILE $OUTBASE/$OUTBASE.ndata\
	DISTFILE $OUTBASE/$OUTBASE.ndist\
	CRYSTFILE rep678.cry\
	PP2PI 64
