#!/bin/bash -l

export OUTPATH="`pwd`"
#export OUTPATH;
export OUTBASE="Tmp"
#export OUTBASE
export OWSAFETY="nosafe"
#export OWSAFETY="yesplease"


rm -r Tmp

./normalize_data\
	DATAFILE sample.dat\
	DATANORMDIM 0\
	NDATAFORMAT "%4.2f %2.0f %8.6f %8.6f\n"
	
./set_distribution\
	DISTPARAMS "0 12000 100 0 1.0 0.1"

./calc_matrix\
	DATAFILE $OUTBASE/$OUTBASE.ndata\
	DISTFILE $OUTBASE/$OUTBASE.ndist\
	PP2PI 64
